import {
  DesktopOutlined,
  FileDoneOutlined,
  UnorderedListOutlined,
  UserOutlined,
} from "@ant-design/icons";

const menuConfig = [
  {
    path: "/user/reserve",
    label: "设备预约",
    icon: DesktopOutlined,
    roles: ["USER"],
  },
  {
    path: "/user/my-reservation",
    label: "我的预约",
    icon: UnorderedListOutlined,
    roles: ["USER"],
  },

  {
    path: "/approval",
    label: "预约审批",
    icon: FileDoneOutlined,
    roles: ["LEADER", "DEVICE_ADMIN"],
  },
  {
    path: "/my-approval",
    label: "审批记录",
    icon: UnorderedListOutlined,
    roles: ["LEADER", "DEVICE_ADMIN"],
  },
  {
    path: "/userdetail",
    label: "个人信息",
    icon: UserOutlined,
    roles: ["USER", "LEADER", "DEVICE_ADMIN", "ADMIN"],
  },
];

export default menuConfig;
